import React from 'react';
import { DeploymentDetailsView } from "./DeploymentDetailsView";
import { LinearProgress } from '@material-ui/core';
import { useDeployment } from "../../api/SwaggerApi";

export function DeploymentDetailsContainer({ id }) {
    console.log(id);
    const [deployment, getDeployment] = useDeployment(id);
  
    return (
      <>
        {deployment ?
          <DeploymentDetailsView deployment={deployment} getDeployment={getDeployment} />
          :
          <LinearProgress color="primary" />
        }
      </>
    );
  }